## trn4 4.0-test77

=== debian/changelog ===
trn4 (4.0-test77-9) unstable; urgency=low

  * Support parallel builds.
  * Switch to git; add Vcs-* fields.
  * The built-in inews is sufficient for remote posting over NNTP, so
    depending on a separate inews package is too strong.  However, it still
    needs a separate inews for local posting.  Drop the inews dependency to
    Recommends and add a note to the package description (closes: #265443,
    LP: #3804).
  * Policy version 3.9.5:
    - Move Conflicts: trn (<= 3.6-14) to Breaks.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Jan 2014 22:01:54 +0000

trn4 (4.0-test77-8) unstable; urgency=low

  * Use 'set -e' rather than '#! /bin/sh -e' in maintainer scripts.
  * Add a Homepage field.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Jun 2013 10:58:41 +0100

trn4 (4.0-test77-7) unstable; urgency=low

  * debconf template translations:
    - Add Japanese (thanks, victory; closes: #690565).

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Feb 2013 11:34:11 +0000

trn4 (4.0-test77-6) unstable; urgency=low

  [ Nick Leverton ]
  * Double the size of the line buffer to fix a segfault whilst applying
    killfile to article with long header line; articles with References
    headers > 1024 bytes are not uncommon, but in practice they do not seem
    to grow very much beyond that (closes: #682803).

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Aug 2012 06:23:45 +0100

trn4 (4.0-test77-5) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 14:15:10 +0100

trn4 (4.0-test77-4) unstable; urgency=low

  [ Colin Watson ]
  * debconf template translations:
    - Add Dutch (thanks, Jeroen Schot; closes: #654770).
  * Build with -D_FILE_OFFSET_BITS=64 for large file support (closes:
    #662893).

  [ Ian Jackson ]
  * Stabilise thread tree by extending date-based partial ordering of
    articles into a complete order using the article number, to ensure that
    parts of the thread tree do not become unreachable (closes: #654771).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Mar 2012 10:16:18 +0100

trn4 (4.0-test77-3) unstable; urgency=low

  * Check for libtinfo separately from libcurses, and build-depend on
    libtinfo-dev rather than libncurses5-dev.
  * Add multiarch directories to library search path.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Oct 2011 15:18:32 +0100

trn4 (4.0-test77-2) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Sep 2011 21:40:48 +0100

trn4 (4.0-test77-1) unstable; urgency=low

  * New upstream release.  Among other changes:
    - Document 'a' article-selection command (closes: #509451).
  * Use ${misc:Depends}.
  * Convert to source format 3.0 (quilt).
  * All patches are now maintained separately and tagged according to DEP-3.
  * Build with IPv6 support.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Dec 2010 18:55:45 +0000

trn4 (4.0-test76-18) unstable; urgency=low

  * debconf template translations:
    - Add Spanish (thanks, Camaleón; closes: #584450).
    - Add Italian (thanks, Vincenzo Campanella; closes: #600221).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Oct 2010 01:35:17 +0100

trn4 (4.0-test76-17) unstable; urgency=low

  * debconf template translations:
    - Add Galician (thanks, Marce Villarino; closes: #537538).
  * Upgrade to debhelper v7.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Feb 2010 14:34:52 +0000

trn4 (4.0-test76-16) unstable; urgency=low

  * Use 'tail -c +BYTES' rather than 'tail +BYTESc', which only works with
    old _POSIX2_VERSION set in the environment (closes: #481863).
  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Honour NNTPAUTH environment variable for AUTHINFO GENERIC (closes:
    #536870).
  * debconf template translations:
    - Add Russian (thanks, Yuri Kozlov; closes: #511825).

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Jul 2009 22:30:57 +0100

trn4 (4.0-test76-15) unstable; urgency=low

  * Move util_init back up the initialisation order; doshell still doesn't
    work quite right if util_init hasn't been called. This is noticeable
    when trying to use AUTHINFO GENERIC.
  * Fix typo in trn-artchk(1), spotted by lintian.

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 May 2008 15:02:43 +0100

trn4 (4.0-test76-14) unstable; urgency=low

  * Use version 3 watch file format and magic sf.net URL (closes: #450354).
  * Drop source-compatibility with woody.
  * Update to menu structure from menu 2.1.35.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Nov 2007 10:19:01 +0000

trn4 (4.0-test76-13) unstable; urgency=low

  * Pnews: exit on EOF in pgpask state (part of #197677, although we still
    don't use set -e).

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Mar 2007 14:18:24 +0000

trn4 (4.0-test76-12) unstable; urgency=low

  * debconf template translations:
    - Add Portuguese (thanks, Rui Branco; closes: #399346).
  * Mark package as autobuildable, per
    http://lists.debian.org/debian-devel-announce/2006/11/msg00012.html.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Dec 2006 11:32:24 +0000

trn4 (4.0-test76-11) unstable; urgency=low

  * Make trn4/whoami-change Type: error (closes: #388975).
  * Add Czech debconf template translation (thanks, Miroslav Kure;
    closes: #319638).
  * Add Swedish debconf template translation (thanks, Daniel Nylander;
    closes: #330441).
  * Explicitly tell po2debconf to use the 'popular' output encoding, so that
    the woody-compatibility hack works even with po-debconf 0.9.0.
  * Use debhelper v4.
  * Policy version 3.7.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Nov 2006 07:14:31 +0000

trn4 (4.0-test76-10) unstable; urgency=low

  * Depend on debconf | debconf-2.0.
  * Always include opt.h after util.h to avoid "array type has incomplete
    element type" errors (closes: #300517).


