=== debian/watch ===
version=3
http://sf.net/trn/trn-(.+)\.tar\.gz debian uupdate
